ContentNamespace
Date: 2016-06-25

org.osgi.service.repository

## Class ContentNamespace

- java.lang.Object
- - org.osgi.resource.Namespace
  - - org.osgi.service.repository.ContentNamespace

-     public final class ContentNamespace
      extends org.osgi.resource.Namespace

  Content Capability and Requirement Namespace.

  This class defines the names for the attributes and directives for this namespace. All unspecified capability attributes are of type `String` and are used as arbitrary matching attributes for the capability. The values associated with the specified directive and attribute keys are of type `String`, unless otherwise indicated.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CAPABILITY_MIME_ATTRIBUTE` The capability attribute that defines the IANA MIME Type/Format for this content.
    `static java.lang.String` | `CAPABILITY_SIZE_ATTRIBUTE` The capability attribute that contains the size, in bytes, of the content.
    `static java.lang.String` | `CAPABILITY_URL_ATTRIBUTE` The capability attribute that contains the URL to the content.
    `static java.lang.String` | `CONTENT_NAMESPACE` Namespace name for content capabilities and requirements.

    - ### Fields inherited from class org.osgi.resource.Namespace

      `CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTENT_NAMESPACE

          public static final java.lang.String CONTENT_NAMESPACE

      Namespace name for content capabilities and requirements.

      Also, the capability attribute used to specify the unique identifier of the content. This identifier is the `SHA-256` hash of the content.

      See Also:
        Constant Field Values

    - #### CAPABILITY_URL_ATTRIBUTE

          public static final java.lang.String CAPABILITY_URL_ATTRIBUTE

      The capability attribute that contains the URL to the content.
      See Also:
        Constant Field Values

    - #### CAPABILITY_SIZE_ATTRIBUTE

          public static final java.lang.String CAPABILITY_SIZE_ATTRIBUTE

      The capability attribute that contains the size, in bytes, of the content. The value of this attribute must be of type `Long`.
      See Also:
        Constant Field Values

    - #### CAPABILITY_MIME_ATTRIBUTE

          public static final java.lang.String CAPABILITY_MIME_ATTRIBUTE

      The capability attribute that defines the IANA MIME Type/Format for this content.
      See Also:
        Constant Field Values